package com.spc.homework.service;

import com.spc.homework.Result;
import com.spc.homework.dto.request.LoginReq;
import com.spc.homework.mapper.LoginMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LoginServiceImpl implements LoginService{
    @Autowired
    private LoginMapper loginMapper;

    @Override
    public Result<LoginReq> userLogin(LoginReq loginReq) {
        LoginReq loginReq1=loginMapper.userLogin(loginReq);

        return Result.success(loginReq1);
    }
}
