package com.spc.utli;

import com.alibaba.fastjson.JSONObject;

import static com.spc.utli.DogGetApi.dogeAPIGet;

public class DuoJiYunUtil {
    // 这段代码本质上就是调用多吉云 API 获取临时密钥，你也可以自己实现：
// 该 API 参考文档： https://docs.dogecloud.com/oss/api-tmp-token

    public static JSONObject getCredentials() {
        JSONObject body = new JSONObject();
        body.put("channel", "OSS_FULL");
        body.append("scopes", "muyu"); // 要操作的存储空间名称，注意不是 s3Bucket 值，也可以设置为 *

        JSONObject data = dogeAPIGet("/auth/tmp_token.json", body);
        JSONObject credentials = data.getJSONObject("Credentials");
        return credentials;
    }
}
